Page MenuHomeFreeBSD

www/luakit: Update from 2017.07.26 to 2017.08.10
ClosedPublic

Authored by joneum on Aug 11 2017, 4:45 PM.

Details

Summary

PR: 221395
Submitted by: Stefan Hagen <freebsd-bugzilla@textmail.me> (maintainer)
Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

:~/dev/ports/www/luakit % portlint -AC
WARN: Makefile: [45]: use ${VARIABLE}, instead of $(VARIABLE).
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: [31]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 4 warnings found.

poudriere testport:

10.3-amd64
10.3-i386
11.1-amd64
11.1-i386
12.0-CURRENT r321899 amd64
12.0-CURRENT r321913 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Aug 11 2017, 4:45 PM
rene added inline comments.Aug 12 2017, 4:54 PM
www/luakit/Makefile
31 ↗(On Diff #31946)

Shouldn't this be NOT_FOR_ARCHS_REASON_sparc64 ?

joneum updated this revision to Diff 32055.Aug 14 2017, 5:05 PM

set correct NOT_FOR_ARCHS_REASON_sparc64

miwi accepted this revision.Aug 15 2017, 3:43 AM
This revision is now accepted and ready to land.Aug 15 2017, 3:43 AM
This revision was automatically updated to reflect the committed changes.